search_traces_get
GET
/traces/v2/search
const url = 'https://api.siteqwality.com/traces/v2/search';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/traces/v2/search \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” range
string
from
string
to
string
tz
string
t
string
q
string
fields
string
Comma-separated fixed fields or attribute keys.
prefix
string
cursor
string
limit
integer format: int32
interval
string
service
string
env
string
name
string
key
string
focus
string
sort
string
span_id
string
by
string
compare
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
required
Array<object>
object
trace_id
required
string
start
required
string
duration_ns
required
string
root_duration_ns
required
string
root_service
required
string
root_name
required
string
root_status
required
string
external_parent
required
boolean
span_count
required
integer format: int64
error_count
required
integer format: int64
services
required
Array<string>
origin
required
string
matched_span_ids
required
Array<string>
matched_span_ids_truncated
required
boolean
estimated
required
boolean
next_cursor
string | null
meta
required
object
from
required
string
to
required
string
clamped_from
string | null
partial
required
boolean
slow_terms
required
Array<string>
Example generated
{ "data": [ { "trace_id": "example", "start": "example", "duration_ns": "example", "root_duration_ns": "example", "root_service": "example", "root_name": "example", "root_status": "example", "external_parent": true, "span_count": 1, "error_count": 1, "services": [ "example" ], "origin": "example", "matched_span_ids": [ "example" ], "matched_span_ids_truncated": true, "estimated": true } ], "next_cursor": "example", "meta": { "from": "example", "to": "example", "clamped_from": "example", "partial": true, "slow_terms": [ "example" ] }}